cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"id": "cmvuo0akc0002vdesum2w5xa1",
"name": "BADE",
"ownerAccountEmail": "buyer@example.com",
"stripeEnabled": false,
"stripeSecretKey": null,
"stripePublishableKey": null,
"stripeEmbeddedForm": false,
"stripeCurrencyConversion": false,
"stripeAllowedCurrencies": null,
"stripeShowTos": false,
"stripeTosText": null,
"stripeBillingAddressCollection": false,
"stripeAutomaticTax": false,
"stripeWebhookSecret": null,
"stripeAccountId": null,
"cryptomusEnabled": false,
"cryptomusEnabledCurrencies": null,
"cryptomusCommissionPayer": "seller",
"nowpaymentsEnabled": false,
"nowpaymentsEnabledCurrencies": null,
"nowpaymentsCommissionPayer": "seller",
"joinMarktCryptoEnabled": false,
"joinMarktCryptoEnabledCurrencies": null,
"joinMarktCryptoCommissionPercentage": null,
"joinMarktCryptoCommissionPayer": "seller",
"joinMarktCryptoPayoutEnabled": false,
"joinMarktCryptoPayoutEmail": "buyer@example.com",
"joinMarktCryptoPayoutWallets": null,
"paypalEnabled": false,
"paypalIntegrationType": "rest",
"paypalEmail": null,
"paypalClientId": null,
"paypalClientSecret": null,
"paypalWebhookId": null,
"paypalSandbox": true,
"paypalCardsOnly": false,
"paypalCollectShipping": false,
"mollieEnabled": false,
"mollieApiKey": null,
"squareEnabled": false,
"squareAccessToken": null,
"squareLocationId": null,
"squareWebhookSignatureKey": null,
"squareSandbox": true,
"sumupEnabled": false,
"sumupApiKey": null,
"sumupMerchantCode": null,
"revolutEnabled": false,
"revolutApiSecret": null,
"revolutWebhookSecret": null,
"revolutSandbox": true,
"authorizenetEnabled": false,
"authorizenetApiLoginId": null,
"authorizenetTransactionKey": null,
"authorizenetSignatureKey": null,
"authorizenetSandbox": true,
"skrillEnabled": false,
"skrillMerchantEmail": null,
"skrillApiMqiPassword": null,
"skrillSecretWord": null,
"freekassaEnabled": false,
"freekassaShopId": null,
"freekassaSecretWord1": null,
"freekassaSecretWord2": null,
"freekassaApiKey": null,
"misticpayEnabled": false,
"misticpayClientId": null,
"misticpayClientSecret": null,
"rewarbleEnabled": false,
"rewarbleApiKey": null,
"rewarbleTestMode": true,
"paypalFfEnabled": false,
"paypalFfEmail": null,
"paypalFfAccountInfo": null,
"paypalFfUnderpayPercent": 5,
"paypalFfNotes": null,
"venmoFfEnabled": false,
"venmoFfTag": null,
"venmoFfEmail": null,
"venmoFfAccountInfo": null,
"venmoFfUnderpayPercent": 5,
"venmoFfNotes": null,
"cashAppEnabled": false,
"cashAppCashtag": null,
"cashAppEmail": null,
"cashAppUnderpayPercent": 5,
"cashAppNotes": null,
"shopifyEnabled": false,
"shopifyShopDomain": null,
"shopifyClientId": null,
"shopifyClientSecret": null,
"shopifyWebhookSecret": null,
"shopifyCurrency": null,
"adyenEnabled": false,
"adyenApiKey": null,
"adyenMerchantAccount": null,
"adyenWebhookHmacKey": null,
"adyenLiveUrlPrefix": null,
"adyenSandbox": true,
"lemonSqueezyEnabled": false,
"lemonSqueezyApiKey": null,
"lemonSqueezyStoreId": null,
"lemonSqueezyVariantId": null,
"lemonSqueezyWebhookSecret": null,
"whopEnabled": false,
"whopApiKey": null,
"whopCompanyId": null,
"whopWebhookSecret": null,
"whopSandbox": true,
"overpayEnabled": false,
"overpayShopId": null,
"overpayPublicKey": null,
"overpaySecretKey": null,
"overpayTestMode": true,
"paymongoEnabled": false,
"paymongoSecretKey": null,
"paymongoWebhookSecret": null,
"paymongoPaymentMethodTypes": [
"card",
"gcash"
],
"paymongoPassOnFees": false,
"paymongoSendEmailReceipt": true,
"dodoEnabled": false,
"dodoApiKey": null,
"dodoWebhookSecret": null,
"dodoProductId": null,
"dodoCheckoutMode": "redirect",
"dodoPricesIncludeTax": true,
"dodoTestMode": true,
"pandabaseEnabled": false,
"pandabaseApiKey": null,
"pandabaseStoreId": null,
"pandabaseWebhookSecret": null,
"moneymotionEnabled": false,
"moneymotionApiKey": null,
"moneymotionWebhookSecret": null,
"moneymotionTestMode": true,
"amazonPsEnabled": false,
"amazonPsMerchantIdentifier": null,
"amazonPsAccessCode": null,
"amazonPsShaRequestPhrase": null,
"amazonPsShaResponsePhrase": null,
"amazonPsCurrency": null,
"amazonPsSandbox": true,
"paymentOptionsConfig": {
"methods": {},
"allowBalanceTopUps": false,
"minimumOrderAmount": null,
"customerBalanceEnabled": false,
"passGatewayFeesToCustomer": false
},
"paymentNotesConfig": null
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Get payment settings
Which payment methods are on, and their public settings. Secret keys are masked.
Scope: payment:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
payments
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/payments",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"id": "cmvuo0akc0002vdesum2w5xa1",
"name": "BADE",
"ownerAccountEmail": "buyer@example.com",
"stripeEnabled": false,
"stripeSecretKey": null,
"stripePublishableKey": null,
"stripeEmbeddedForm": false,
"stripeCurrencyConversion": false,
"stripeAllowedCurrencies": null,
"stripeShowTos": false,
"stripeTosText": null,
"stripeBillingAddressCollection": false,
"stripeAutomaticTax": false,
"stripeWebhookSecret": null,
"stripeAccountId": null,
"cryptomusEnabled": false,
"cryptomusEnabledCurrencies": null,
"cryptomusCommissionPayer": "seller",
"nowpaymentsEnabled": false,
"nowpaymentsEnabledCurrencies": null,
"nowpaymentsCommissionPayer": "seller",
"joinMarktCryptoEnabled": false,
"joinMarktCryptoEnabledCurrencies": null,
"joinMarktCryptoCommissionPercentage": null,
"joinMarktCryptoCommissionPayer": "seller",
"joinMarktCryptoPayoutEnabled": false,
"joinMarktCryptoPayoutEmail": "buyer@example.com",
"joinMarktCryptoPayoutWallets": null,
"paypalEnabled": false,
"paypalIntegrationType": "rest",
"paypalEmail": null,
"paypalClientId": null,
"paypalClientSecret": null,
"paypalWebhookId": null,
"paypalSandbox": true,
"paypalCardsOnly": false,
"paypalCollectShipping": false,
"mollieEnabled": false,
"mollieApiKey": null,
"squareEnabled": false,
"squareAccessToken": null,
"squareLocationId": null,
"squareWebhookSignatureKey": null,
"squareSandbox": true,
"sumupEnabled": false,
"sumupApiKey": null,
"sumupMerchantCode": null,
"revolutEnabled": false,
"revolutApiSecret": null,
"revolutWebhookSecret": null,
"revolutSandbox": true,
"authorizenetEnabled": false,
"authorizenetApiLoginId": null,
"authorizenetTransactionKey": null,
"authorizenetSignatureKey": null,
"authorizenetSandbox": true,
"skrillEnabled": false,
"skrillMerchantEmail": null,
"skrillApiMqiPassword": null,
"skrillSecretWord": null,
"freekassaEnabled": false,
"freekassaShopId": null,
"freekassaSecretWord1": null,
"freekassaSecretWord2": null,
"freekassaApiKey": null,
"misticpayEnabled": false,
"misticpayClientId": null,
"misticpayClientSecret": null,
"rewarbleEnabled": false,
"rewarbleApiKey": null,
"rewarbleTestMode": true,
"paypalFfEnabled": false,
"paypalFfEmail": null,
"paypalFfAccountInfo": null,
"paypalFfUnderpayPercent": 5,
"paypalFfNotes": null,
"venmoFfEnabled": false,
"venmoFfTag": null,
"venmoFfEmail": null,
"venmoFfAccountInfo": null,
"venmoFfUnderpayPercent": 5,
"venmoFfNotes": null,
"cashAppEnabled": false,
"cashAppCashtag": null,
"cashAppEmail": null,
"cashAppUnderpayPercent": 5,
"cashAppNotes": null,
"shopifyEnabled": false,
"shopifyShopDomain": null,
"shopifyClientId": null,
"shopifyClientSecret": null,
"shopifyWebhookSecret": null,
"shopifyCurrency": null,
"adyenEnabled": false,
"adyenApiKey": null,
"adyenMerchantAccount": null,
"adyenWebhookHmacKey": null,
"adyenLiveUrlPrefix": null,
"adyenSandbox": true,
"lemonSqueezyEnabled": false,
"lemonSqueezyApiKey": null,
"lemonSqueezyStoreId": null,
"lemonSqueezyVariantId": null,
"lemonSqueezyWebhookSecret": null,
"whopEnabled": false,
"whopApiKey": null,
"whopCompanyId": null,
"whopWebhookSecret": null,
"whopSandbox": true,
"overpayEnabled": false,
"overpayShopId": null,
"overpayPublicKey": null,
"overpaySecretKey": null,
"overpayTestMode": true,
"paymongoEnabled": false,
"paymongoSecretKey": null,
"paymongoWebhookSecret": null,
"paymongoPaymentMethodTypes": [
"card",
"gcash"
],
"paymongoPassOnFees": false,
"paymongoSendEmailReceipt": true,
"dodoEnabled": false,
"dodoApiKey": null,
"dodoWebhookSecret": null,
"dodoProductId": null,
"dodoCheckoutMode": "redirect",
"dodoPricesIncludeTax": true,
"dodoTestMode": true,
"pandabaseEnabled": false,
"pandabaseApiKey": null,
"pandabaseStoreId": null,
"pandabaseWebhookSecret": null,
"moneymotionEnabled": false,
"moneymotionApiKey": null,
"moneymotionWebhookSecret": null,
"moneymotionTestMode": true,
"amazonPsEnabled": false,
"amazonPsMerchantIdentifier": null,
"amazonPsAccessCode": null,
"amazonPsShaRequestPhrase": null,
"amazonPsShaResponsePhrase": null,
"amazonPsCurrency": null,
"amazonPsSandbox": true,
"paymentOptionsConfig": {
"methods": {},
"allowBalanceTopUps": false,
"minimumOrderAmount": null,
"customerBalanceEnabled": false,
"passGatewayFeesToCustomer": false
},
"paymentNotesConfig": null
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}
